using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.DLSite.Models.NewWorks;

public record NewWorksApiProduct
{
    [JsonPropertyName("id")]
    public required string Id { get; init; }

    [JsonPropertyName("name")]
    public string? Name { get; init; }

    [JsonPropertyName("nameMasked")]
    public string? NameMasked { get; init; }

    [JsonPropertyName("description")]
    public string? Description { get; init; }

    [JsonPropertyName("descriptionMasked")]
    public string? DescriptionMasked { get; init; }
}